import { GraphQLClient } from 'graphql-request';
import { PredictionWhereUniqueInput, MetadataInput } from '../gql/graphql';
import { BaseFunctions } from './BaseFunctions';
import { ListPredictionsQueryVariables } from '../gql/graphql';
import { OpenAiKwargs } from '../types';
declare class PredictionFunctions extends BaseFunctions {
    constructor(client: GraphQLClient);
    create(openaiKwargs: OpenAiKwargs, prompt: string, modelBackendName: string, useCache?: boolean, labelParser?: string, metadata?: MetadataInput[]): Promise<import("../gql/graphql").PredictionQuery>;
    countPredictions(where?: PredictionWhereUniqueInput): Promise<import("../gql/graphql").CountPredictionsQuery>;
    getLabelsForPrediction(predictionId: number): Promise<import("../gql/graphql").GetLabelsForPredictionQuery>;
    listPredictions(options: ListPredictionsQueryVariables): Promise<import("../gql/graphql").ListPredictionsQuery>;
    getPrediction(predictionId: number): Promise<import("../gql/graphql").GetPredictionQuery>;
    addPredictionToDataset(predictionId: number, datasetId: number): Promise<import("../gql/graphql").UpdateOnePredictionMutation>;
    addPredictionsToDataset(predictionIds: number[], datasetId: number): Promise<import("../gql/graphql").MutationMutation>;
}
export { PredictionFunctions };
